#
# spec file for package golang-google-golangorg-api
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           golang-google-golangorg-api
Version:        0.0.0+git20150629.a09229c
Release:        3.3
Summary:        Google APIs Client Library for Go
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://github.com/google/google-api-go-client
Source:         google-api-go-client-%{version}.tar.xz
Source99:       %{name}-rpmlintrc
BuildRequires:  golang-packaging
BuildRequires:  golang(golang.org/x/net)
BuildRequires:	xz
Provides:	go-google-api-go-client = %{version}
Obsoletes:	go-google-api-go-client < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{go_provides}

%description
Google APIs Client Library for Go.

%gosrc_package

%prep
%setup -q -n google-api-go-client-%{version}
rm -rf examples

%build
%goprep google.golang.org/api
%gobuild ...

%install
%goinstall
%gosrc

%check
%gotest google.golang.org/api

%files
%defattr(-,root,root)
%doc AUTHORS CONTRIBUTING.md CONTRIBUTORS LICENSE NOTES README.md TODO
%{_bindir}/google-api-go-generator
%{go_contribdir}/*

%files source
%defattr(-,root,root)
%{go_contribsrcdir}/*

%changelog
* Sun Jul  5 2015 i@marguerite.su
- rename golang-google-golangorg-api
- use golang-packaging for packaging
- update version 0.0.0+git20150629.a09229c
- add go-google-api-go-client-rpmlintrc
  * override devel-file-in-non-devel-package error
* Sun Mar 22 2015 i@marguerite.su
- update version 0.0.0+git20150320.78fbf5a
- source URL changed to github.com/google/google-api-go-client
- import path changed to google.golang.org/api
- remove examples, because examples/main.go imports go-oauth2,
  which then will create a build cycle.
* Wed Sep 17 2014 i@marguerite.su
- initial version 0.0.0+hg20140820.128.e1c259484b49
